Package javax.help.event

# Class TextHelpModelEvent

java.lang.Object
java.util.EventObject
javax.help.event.TextHelpModelEvent

All Implemented Interfaces:
  `Serializable`

public class TextHelpModelEvent extends EventObject
Notifies interested parties when a change in a TextHelpModel occurs. The listener should query the source for details.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.util.EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`TextHelpModelEvent(Object source)`
Creates a TextHelpModelEvent.

## Method Summary

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### TextHelpModelEvent

public TextHelpModelEvent(Object source)
Creates a TextHelpModelEvent.

Parameters:
  `source` - The source for this event. Implements TextHelpModel
Throws:
  `IllegalArgumentException` - if source is null.